import java.util.Scanner;
public class pecina {
	
	public static void main(String[] args) {
        int N = 0;
        int L = 0;
        Scanner in = new Scanner(System.in);

   
        if (in.hasNextInt()) {
            N = in.nextInt();
        }

        if (in.hasNextInt()) {
            L = in.nextInt(); 
        }

     int[]stal= new int[N];
     for (int i=0; i<N; i++) {
			stal[i]=in.nextInt();
		}
     for (int i=0; i<stal.length; i++) {
			
    	 if (stal[i]<=L) {
				System.out.println(i+1);	
			}
				
			else {
				if(i==2) {
					System.out.println(-1);
					}
				else {
					continue;
				}
				
				}
    	return;
			}
		
			}
					
		
			}